---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-24T21:31:57Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://f41e673e-8fe1-4bb5-9c98-eb1e4abbe5c5"
documentDescribes:
- "SPDXRef-Project-Maven-jakarta.interceptor-jakarta.interceptor-api-2.1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.ee4j.interceptor-api-interceptor-api-parent-2.1"
- "SPDXRef-Project-Maven-org.eclipse.ee4j.interceptor-api-interceptors-spec-2.1"
packages:
- SPDXID: "SPDXRef-Project-Maven-jakarta.interceptor-jakarta.interceptor-api-2.1.0-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 1997, 2009, 2012-2013, 2020\
    \ Oracle and/or its affiliates\nCopyright (c) 2018, 2020 Eclipse Foundation\n\
    Copyright (c) 2018, 2022 Eclipse Foundation\nCopyright (c) 2021 Contributors\n\
    Copyright (c) Eclipse Foundation, Inc. https://www.eclipse.org/legal/efsl.php\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse-ee4j/interceptor-api"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 AND GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jakarta.interceptor-api"
  summary: "NONE"
  versionInfo: "2.1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.ee4j.interceptor-api-interceptor-api-parent-2.1"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 1997, 2009, 2012-2013, 2020\
    \ Oracle and/or its affiliates\nCopyright (c) 2017, 2019-2022 Contributors\nCopyright\
    \ (c) 2017, 2020-2022 Contributors\nCopyright (c) 2018, 2020, 2022 Eclipse Foundation\n\
    Copyright (c) 2018, 2022 Eclipse Foundation\nCopyright (c) 2018-2019, 2022 Eclipse\
    \ Foundation\nCopyright (c) Eclipse Foundation, Inc. https://www.eclipse.org/legal/efsl.php\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse-ee4j/interceptor-api"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 AND GPL-2.0-only WITH Classpath-exception-2.0"
  name: "interceptor-api-parent"
  summary: "NONE"
  versionInfo: "2.1"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.ee4j.interceptor-api-interceptors-spec-2.1"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2017, 2019-2022 Contributors\n\
    Copyright (c) 2017, 2020-2022 Contributors\nCopyright (c) 2018, 2022 Eclipse Foundation\n\
    Copyright (c) 2018-2019, 2022 Eclipse Foundation\nCopyright (c) Eclipse Foundation,\
    \ Inc. https://www.eclipse.org/legal/efsl.php\ncopyrighted by the Free Software\
    \ Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse-ee4j/interceptor-api/interceptors-spec"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 AND GPL-2.0-only WITH Classpath-exception-2.0"
  name: "interceptors-spec"
  summary: "NONE"
  versionInfo: "2.1"
- SPDXID: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2005, 2009, 2012, 2018, 2020-2021\
    \ Oracle and/or its affiliates\nCopyright (c) 2017, 2021 Contributors\nCopyright\
    \ (c) 2018, 2021 Eclipse Foundation\nCopyright (c) 2019, 2021 Contributors\nCopyright\
    \ (c) 2019, 2021 Eclipse Foundation\nCopyright (c) Eclipse Foundation, Inc.\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/annotation/jakarta.annotation-api/2.1.0/jakarta.annotation-api-2.1.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.ca"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jakarta.annotation-api"
  summary: "Jakarta Annotations API"
  versionInfo: "2.1.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0-vcs"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2005, 2009, 2012, 2018, 2020-2021\
    \ Oracle and/or its affiliates\nCopyright (c) 2017, 2021 Contributors\nCopyright\
    \ (c) 2018, 2021 Eclipse Foundation\nCopyright (c) 2019, 2021 Contributors\nCopyright\
    \ (c) 2019, 2021 Eclipse Foundation\nCopyright (c) Eclipse Foundation, Inc.\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "git+https://github.com/eclipse-ee4j/common-annotations-api.git@e756289d4cad8b7a19e3332abf31bb704676c87d"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.ca"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.annotation-api"
  summary: "Jakarta Annotations API"
  versionInfo: "2.1.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0-source-artifact"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2005, 2009, 2012, 2018, 2020-2021\
    \ Oracle and/or its affiliates\nCopyright (c) 2017, 2021 Contributors\nCopyright\
    \ (c) 2018, 2021 Eclipse Foundation\nCopyright (c) 2019, 2021 Contributors\nCopyright\
    \ (c) 2019, 2021 Eclipse Foundation\nCopyright (c) Eclipse Foundation, Inc.\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/annotation/jakarta.annotation-api/2.1.0/jakarta.annotation-api-2.1.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.ca"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.annotation-api"
  summary: "Jakarta Annotations API"
  versionInfo: "2.1.0"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-jakarta.interceptor-jakarta.interceptor-api-2.1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.annotation-jakarta.annotation-api-2.1.0"
